IRPCExternalLocationsAdmin.AddExternalLocation

View as Markdown

Administration API / specialized admin session

Creates an external location.

ServiceExternal locations MFiles.IRPCExternalLocationsAdmin
gRPC method/MFiles.IRPCExternalLocationsAdmin/AddExternalLocation
HTTP (mf-http-grpc)POST /grpc/v1/add-external-location
RequestAddExternalLocationRequest
ResponseAddExternalLocationResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: AddExternalLocationRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page. Fields marked (recursive) refer to a type already on their path.

FieldTypeDescription
json_ext_locExternalLocationThe new location. id is ignored and assigned by the server.
json_ext_loc.idint32External location ID.
json_ext_loc.descriptionstringDescription.
json_ext_loc.object_aclAccessControlListACL for new documents.
json_ext_loc.object_acl.checked_out_to_userint32Specifies the ID of the user who has extended rights because of the checkout operation performed by her. 0 if such user does not exist.
json_ext_loc.object_acl.is_fully_authoritativeboolSpecifies whether this access control list is set to ignore the secondary permissions that come from the latest checked in version.
json_ext_loc.object_acl.custom_componentAccessControlListComponentAccesses the custom component of this ACL.
json_ext_loc.object_acl.restrictive_components[]repeated AccessControlListComponentMapEntryAccesses the restrictive automatic components of this ACL.
json_ext_loc.object_acl.secondary_access_control_listAccessControlList (recursive)Secondary ACL used for latest version ACL. Not used for access check if null.
json_ext_loc.object_acl.additive_components[]repeated AccessControlListComponentMapEntryAccesses the additive automatic components of this ACL.
json_ext_loc.object_typeint32Object type.
json_ext_loc.object_properties[]repeated DefaultPropertyThe properties.
json_ext_loc.object_properties[].property_defint32PropertyDef ID.
json_ext_loc.object_properties[].allow_retaining_previous_valueboolTrue if the user is allowed to use/retain previous value
json_ext_loc.object_properties[].typeDefaultPropertyTypeDefault property type.Values: DEFAULT_PROPERTY_TYPE_UNDEFINED (0), DEFAULT_PROPERTY_TYPE_FIXED_VALUE (1), DEFAULT_PROPERTY_TYPE_FROM_HP_DSS_XML (2), DEFAULT_PROPERTY_TYPE_FROM_XML (3), DEFAULT_PROPERTY_TYPE_FROM_EMAIL (4), DEFAULT_PROPERTY_TYPE_FROM_EMAIL_HEADER (5), DEFAULT_PROPERTY_TYPE_FROM_OCR (6), DEFAULT_PROPERTY_TYPE_FROM_FILE_PROPERTY (7), DEFAULT_PROPERTY_TYPE_STATE_TRANSITION_TIME (8).
json_ext_loc.object_properties[].dataDefaultPropertyUnionThe details as a union.
json_ext_loc.optionsEXTLOCFLAGSFlags.
json_ext_loc.options.allboolSpecifies all flags set; Including any future flags.
json_ext_loc.options.disabledboolPresent if the external location is disabled. If not present, the external location is enabled.
json_ext_loc.options.monitorboolPresent if the server should keep monitoring the external location.
json_ext_loc.update_intervaluint32The delay between automatic monitoring rounds in seconds.
json_ext_loc.typeExtLocTypeThe type of the source.Values: EXT_LOC_TYPE_NONE (0), EXT_LOC_TYPE_FILE_SOURCE (1), EXT_LOC_TYPE_MAIL_SOURCE (2).
json_ext_loc.dataExtLocUnionThe type-specific data as a union.
json_ext_loc.data.file_sourceFileSource (oneof data)File source definition.
json_ext_loc.data.mail_sourceMailSource (oneof data)Mail source definition.
json_ext_loc.aliasesstringSemicolon-separated list of semantic aliases.
test_accessboolTrue to test access to the external location before accepting the changes.

Response: AddExternalLocationResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
idint32The ID of the new location.